WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] WP broken after upgrade to 2.2: wp-includes/widgets.php missing (5 posts)

  1. plessl
    Member
    Posted 7 years ago #

    I just tried to upgrade my blog from WP 2.1.3 to version 2.2. This upgrade has broken my wordpress installation.

    The error seems related to the widget support in 2.2. I had widget support already installed as plugin in 2.1.3.

    When accessing my blog http://plesslweb.ch, I get the following error messages:

    Warning: require_once(/home/.athinai/plessl/plesslweb.ch/wp-includes/widgets.php) [function.require-once]: failed to open stream: No such file or directory in /home/.athinai/plessl/plesslweb.ch/wp-includes/functions.php on line 1503

    Fatal error: require_once() [function.require]: Failed opening required '/home/.athinai/plessl/plesslweb.ch/wp-includes/widgets.php' (include_path='.:/usr/local/php5/lib/php') in /home/.athinai/plessl/plesslweb.ch/wp-includes/functions.php on line 1503

    Any help with fixing this problem would be greatly appreciated.

    Best regards,
    Christian

  2. plessl
    Member
    Posted 7 years ago #

    More information:

    Maybe I should have deactivated all plugins before upgrading, which I didn't.

    active_plugins in wp_options database table is currently set to the following value:

    a:9:{i:0;s:43:"UltimateTagWarrior/ultimate-tag-warrior.php";i:1;s:18:"adsense-deluxe.php";i:2;s:19:"akismet/akismet.php";i:3;s:12:"markdown.php";i:4;s:27:"now-reading/now-reading.php";i:5;s:17:"seo-title-tag.php";i:6;s:11:"sitemap.php";i:7;s:15:"ultimate_ga.php";i:8;s:19:"widgets/execphp.php";}

  3. obscure
    Member
    Posted 7 years ago #

    Yep you should. Suggest you delete the current files, reupload, run the upgrade then upload your plugins again - activating them one at a time to ensure they work with this version.

  4. plessl
    Member
    Posted 7 years ago #

    I didn't find a way to fix the problem. Thus I restored the database from the backup and followed the recommended WP upgrade procedure. Now the installation works as expected.

    Unfortunately, the wordpress upgrade is still not foolproof.

  5. obscure
    Member
    Posted 7 years ago #

    Unfortunately, the wordpress upgrade is still not foolproof.

    yea sadly they just ignore the instructions.

Topic Closed

This topic has been closed to new replies.

About this Topic